Subject: Re: [PATCH v2] drivers: net: Fix dependency for EEPROM_93CX6

From: Larry Finger <[email-masked]>
Date: Thu, 05 Jan 2012 14:16:39 -0600

On 01/05/2012 01:17 PM, Ben Hutchings wrote:
> On Thu, 2012-01-05 at 17:02 -0200, Fabio Estevam wrote:
>> On Thu, Jan 5, 2012 at 4:06 PM, Fabio Estevam<[email-masked]>  wrote:
>>
>>> I have tried selecting MISC_DEVICES in the Kconfig's, but the warning remains.
>>>
>>> I agree with Ben's comment: "That seems like a bug, since MISC_DEVICES
>>> doesn't by itself select any
>>> code.  (It's also not a meaningful category and maybe ought not to be an
>>> option at all.)"
>>
>> What about the aproach below?
>>
>> drivers/misc/Kconfig |   12 ++----------
>>   1 files changed, 2 insertions(+), 10 deletions(-)
>>
>> diff --git a/drivers/misc/Kconfig b/drivers/misc/Kconfig
>> index 6a1a092..9c7a474 100644
>> --- a/drivers/misc/Kconfig
>> +++ b/drivers/misc/Kconfig
>> @@ -10,15 +10,8 @@ config SENSORS_LIS3LV02D
>>   	select INPUT_POLLDEV
>>   	default n
>>
>> -menuconfig MISC_DEVICES
>> -	bool "Misc devices"
>> -	---help---
>> -	  Say Y here to get to see options for device drivers from various
>> -	  different categories. This option alone does not add any kernel code.
>> -
>> -	  If you say N, all options in this submenu will be skipped and disabled.
>> +menu "Misc devices"
>>
>> -if MISC_DEVICES
>>
>>   config AD525X_DPOT
>>   	tristate "Analog Devices Digital Potentiometers"
>> @@ -516,5 +509,4 @@ source "drivers/misc/ti-st/Kconfig"
>>   source "drivers/misc/lis3lv02d/Kconfig"
>>   source "drivers/misc/carma/Kconfig"
>>   source "drivers/misc/altera-stapl/Kconfig"
>> -
>> -endif # MISC_DEVICES
>> +endmenu
>
> Yes, that's what I was thinking of.
>
>> This would remove the unneeded dependency of MISC_DEVICES.
>>
>> I know I need to take extra care not to break other things, but just
>> would like to get a feedback if this approach goes into the right
>> direction.
>
> Right, you'll have to delete all dependencies on MISC_DEVICES.  Maybe
> remove it from defconfigs as well, though I'm not sure whether it's
> normal to do that at the same time.

I also think this is the correct approach.

In the drivers/ tree, there are two mentions of MISC_DEVICES left:

finger@larrylap:~/wireless-testing-new> grep -r MISC_DEVICES drivers/*
drivers/misc/Kconfig:# This one has to live outside of the MISC_DEVICES conditional,
drivers/mmc/host/Kconfig:       select MISC_DEVICES

Larry

--
To unsubscribe from this list: send the line "unsubscribe linux-wireless" in
the body of a message to [email-masked]
More majordomo info at  http://vger.kernel.org/majordomo-info.html